Новость Launcher для проекта Hardcore-SK

Discussion in 'Новости' started by Dzeniba, Jun 1, 2018.

  1. Dzeniba

    Dzeniba

    Top Poster Of Month

    Messages:
    812
    Likes Received:
    97
    Ratings:
    +335 / 8
    [​IMG]

    Представляем вашему вниманию ланчер проекта Hardcore SK!

    Наш ланчер позволяет:

    • установить/обновить сборку HSK на Вашей игре. Начиная с 30 апреля 2019 года он работает только со сборкой для релиза 1.0 (ветка Stable), и нам всё равно - пират Вы, или добропорядочный стимовец;
    • предупредит, если Вы попытаетесь установить сборку на несоответствующую версию игры;
    • сбросит настройки модов для исправления ошибок несовместимости со сторонними модами по Вашему желанию.
    Для установки сборки Hardcore-SK на Rimworld 1.0 Вам не придётся ничего скачивать и копировать вручную, всё будет сделано установщиком так, как и должно быть для полной работоспособности игры.

    Изменения в версии 1.6:


      • Добавлена поддержка х64 битной версии RimWorld.
      • Добавлена возможность выбора источника обновлений:
        • Stable — стабильная версия, на текущий момент это HSK для 1.0.
      • Добавлена возможность автоматического подключения и отключения указанного списка модов после установки обновления.
      • Добавлена возможность запуска пользовательского скрипта или утилиты по окончанию обновления (для модмейкеров).
      • Полностью переработан механизм обновлений, который обеспечивает чистоту установки обновлений HSK, не затрагивая пользовательские моды.
      • Повышена стабильность, улучшена отзывчивость, расширено логгирование.
    Возможности версии 1.1:



      • русский и английский языки;
      • опциональное обновление Modconfig;
      • выбор запуска игры по прямому пути, или используя Steam;
      • опция проверки новых обновлений при запуске ланчера.
      • автоматические обновление ланчера;
      • возможность установки из архива репозитория (скачиваете zip архив репозитория HSK, затем устанавливаете через ланчер, используя кнопку справа от опций);
      • возможность сменить язык при первом запуске ланчера сразу, на экране приветствия;
      • возможность повторить попытку установки обновлений HSK (без перекачивания), если произошла ошибка на шаге копирования файлов;
      • опция закрытия ланчера после успешного запуска игры (по-умолчанию выключена).

    Требования:

    • .Net Framework 4.5 (идет по-умолчанию, начиная с Windows 8. Нет поддержки Windows XP и ранее выпущенных ОС)

    Примечания:
    Если обновление не удалось, попробуйте еще раз.



    Скачать можно в разделе Ресурсы.

    Выражаем огромную благодарность Void'y за участие в проекте!
     
    Last edited: May 4, 2019
    • Мне нравится! Мне нравится! x 7
    • Круто! Круто! x 3
    • List
  2. staer

    staer Блоха

    Messages:
    3
    Likes Received:
    0
    Ratings:
    +0 / 0
    Так это при первом-же запуске не получается, сбрасываются все моды. Пытаюсь потом включить их в ручную, вроде все включаются норм, кроме Core SK и соответсвенно другие SK. Если что вот ссылка на файл с ошибками: https://gist.github.com/HugsLibRecordKeeper/3ab80283c0cd00ecf1527d14121ef266
     
  3. Dzeniba

    Dzeniba

    Top Poster Of Month

    Messages:
    812
    Likes Received:
    97
    Ratings:
    +335 / 8
    @staer, попробуйте установить сборку вручную по инструкции с сайта.

    Сборку качают и устанавливают ланчером ежедневно куча народу, но подобной жалобы нет ни от кого. Это означает, что Вы что-то делаете не так или что-то недоговариваете, и без подробной информации (желательно со скриншотами) нам не понять, что именно. Поверьте, никто никогда не включает ВСЕ МОДЫ сборки вручную - этот гемор не нужен никому ))
     
    • Мне нравится! Мне нравится! x 1
    • Согласен! Согласен! x 1
    • List
  4. staer

    staer Блоха

    Messages:
    3
    Likes Received:
    0
    Ratings:
    +0 / 0
    Да, ручная установка помогла. Возможно через лаунчер не получалось так как до этого не снес старые файлы
     
  5. akulkin

    akulkin Москит-мутант

    Messages:
    7
    Likes Received:
    0
    Ratings:
    +1 / 0
    Реально ли сделать в лаунчере оповещения об обновлениях и их описание?
     
  6. Dzeniba

    Dzeniba

    Top Poster Of Month

    Messages:
    812
    Likes Received:
    97
    Ratings:
    +335 / 8
    Это наврядли. Обновления можно на гитхабе контролировать. Однако не всем понятна форма их подачи гитхабом ;)
     
  7. jaymz

    jaymz Москит-мутант

    Messages:
    11
    Likes Received:
    0
    Ratings:
    +1 / 0
    установил версию лончера 1,6 и игру 1,02150. вкинул все по инструкции "как начать" , а лончер пишет хск 0,18 не подходит для вашей версии 1,0
     
  8. Dzeniba

    Dzeniba

    Top Poster Of Month

    Messages:
    812
    Likes Received:
    97
    Ratings:
    +335 / 8
    А Вы какую версию сборки выбираете в лончере? Видели, что в шапке написано?
    Насколько помню по-умолчанию в лончере Stable указана.
     
  9. jaymz

    jaymz Москит-мутант

    Messages:
    11
    Likes Received:
    0
    Ratings:
    +1 / 0
    вот спасибо, добрый человек! я прооленил этот пункт))
     
    • Забавно! Забавно! x 1
    • List
  10. Sposob

    Sposob Москит-мутант

    Messages:
    5
    Likes Received:
    0
    Ratings:
    +0 / 0
    я так понимаю b18 лаунчер больше не устанавливает? "stable" стоит и выдаёт HSK(1.0) не подходит для вашей установки RimWorld(0.18)
     
  11. Dzeniba

    Dzeniba

    Top Poster Of Month

    Messages:
    812
    Likes Received:
    97
    Ratings:
    +335 / 8
    Да, 30 апреля сборка для 1.0 вышла в статус "стабильная", Теперь для её обновления в лаунчере необходимо выбирать "Stable".

    Желающие использовать сборки для предыдущих версий римки по-прежнему могут это делать, но уже вручную, скачивая архив с гитхаба.

    P.S. Шапку обновил.
     
  12. ohardcoresk

    ohardcoresk Блоха

    Messages:
    1
    Likes Received:
    0
    Ratings:
    +0 / 0
    У меня после установки Launcher 1.6 пишет "Не удалось проверить обновления", вроде всё по инструкции сделал и старые файлы удалил. Версия игры 1.0.2231. В чём может быть проблема?